Tool: fetch_batch_translation
Retrieves the status and logs of a batch translation workflow. NOTE: This feature is experimental and in active development. It may not work correctly and should be used with caution.
The following code sample shows how to use curl to call the fetch_batch_translation MCP tool.
| Curl Request |
|---|
curl --location 'https://bigquerymigration.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "fetch_batch_translation", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for FetchBatchTranslation.
FetchBatchTranslationRequest
| JSON representation |
|---|
{ "projectNumber": string, "location": string, "translation": string } |
| Fields | |
|---|---|
projectNumber |
Required. The Google Cloud project number. |
location |
Required. The location. |
translation |
Required. The translation ID of the batch workflow. |
Output Schema
Response message for FetchBatchTranslation.
FetchBatchTranslationResponse
| JSON representation |
|---|
{ "translation": { object ( |
| Fields | |
|---|---|
translation |
The batch translation resource. |
translationLogs[] |
A summary list of logs generated during the batch translation process. AI INSTRUCTION: Review all returned logs to identify warnings and errors. Use these log details to improve the overall quality of your SQL translations. |
errorInfo |
The error information if the workflow itself failed to orchestrate. |
BatchTranslation
| JSON representation |
|---|
{ "translation": string, "state": string, "targetBaseUri": string } |
| Fields | |
|---|---|
translation |
The ID of the batch translation. |
state |
The current state of the batch translation workflow, for example, |
targetBaseUri |
The base URI for all writes to persistent storage in Cloud Storage. This contains all of the generated translation outputs and artifacts. |
Log
| JSON representation |
|---|
{ "severity": string, "category": string, "message": string, "action": string, "effect": string, "impactedObject": string } |
| Fields | |
|---|---|
severity |
Severity of the translation record, for example, |
category |
Category of the error or warning, for example, |
message |
Detailed message of the record. |
action |
Recommended action to address the log. |
effect |
The effect or impact of the issue noted in the log. Effect can be one of the following values: |
impactedObject |
Name of the object that is impacted by the log message. |
ErrorInfo
| JSON representation |
|---|
{ "reason": string, "domain": string, "metadata": { string: string, ... } } |
| Fields | |
|---|---|
reason |
The reason for the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
metadata |
Additional structured details about this error. Keys must match a regular expression of An object containing a list of |
MetadataEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌